// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

console.info('Hello, World! (You will see this line every time server resources reload)')

onEvent('recipes', event => {
  event.shaped('1x mekanism:steel_casing', [
    'SAS',
    'ABA',
    'SAS'
  ], {
    S: 'mekanism:ingot_steel',
    A: 'thermal:enderium_glass',
	B: 'refinedstorage:machine_casing'
  })
   event.shaped('1x bfr:fusion_reactor_controller', [
    'SCS',
    'ABA',
    'AAA'
  ], {
    S: 'powah:reactor_nitro',
    A: 'bfr:fusion_reactor_frame',
	B: 'mekanism:ultimate_chemical_tank',
	C: 'extendedcrafting:the_ultimate_ingot'
  })
  event.shaped('4x mekanismgenerators:fission_reactor_casing', [
    'SAS',
    'ABA',
    'SAS'
  ], {
    S: 'mekanism:block_steel',
    A: 'pneumaticcraft:plastic',
	B: 'industrialforegoing:machine_frame_supreme'
  })
  event.shaped('1x mekanismgenerators:gas_burning_generator', [
    'SAS',
    'ABA',
    'SAS'
  ], {
    S: 'powah:capacitor_nitro',
    A: 'mekanism:electrolytic_core',
	B: 'industrialforegoing:machine_frame_advanced'
  })
  event.shaped('4x mekanismgenerators:fusion_reactor_frame', [
    'SAS',
    'ABA',
    'SAS'
  ], {
    S: 'minecraft:netherite_ingot',
    A: 'mekanism:steel_casing',
	B: 'kubejs:machine_frame_ultimate'
  })
  event.shaped('1x mekanism:metallurgic_infuser', [
    'SAS',
    'BCB',
    'SAS'
  ], {
    S: 'minecraft:iron_ingot',
    A: 'minecraft:furnace',
	B: 'minecraft:redstone',
	C: 'refinedstorage:machine_casing'
  })
  event.shaped('1x mekanismgenerators:wind_generator', [
    ' B ',
    'BCB',
    'SAS'
  ], {
    S: 'mekanism:energy_tablet',
    A: 'mekanism:basic_control_circuit',
	B: 'mekanism:ingot_osmium',
	C: 'mekanism:steel_casing'
  })
})
onEvent('recipes', event => {
	event.remove({output: 'mekanism:steel_casing'})
	event.remove({output: 'mekanismgenerators:gas_burning_generator'})
	event.remove({output: 'mekanismgenerators:fusion_reactor_frame'})
	event.remove({output: 'mekanismgenerators:fission_reactor_casing'})
	event.remove({output: 'mekanism:mekasuit_helmet'})
	event.remove({output: 'mekanism:mekasuit_bodyarmor'})
	event.remove({output: 'mekanism:mekasuit_pants'})
	event.remove({output: 'mekanism:mekasuit_boots'})
	event.remove({output: 'mekanism:basic_bin'})
	event.remove({output: 'mekanism:metallurgic_infuser'})
	event.remove({output: 'mekanismgenerators:wind_generator'})
	event.remove({output: 'bfr:fusion_reactor_controller'})
})
onEvent('item.tags', event => {
	// Get the #forge:cobblestone tag collection and add Diamond Ore to it
	// event.get('forge:cobblestone').add('minecraft:diamond_ore')

	// Get the #forge:cobblestone tag collection and remove Mossy Cobblestone from it
	// event.get('forge:cobblestone').remove('minecraft:mossy_cobblestone')
})
